Adding users to channels
You can add users to channels either by calling a FileMaker script in the Helper File, or by calling a REST API endpoint of your BetterForms domain.
The Channel Object
name
The name of the channel. It should be unique among your app
mode
One of ignore, listen, or receive. See Chanel Modes below
// example Channel Object
{
"name": "channel1",
"mode": "listen"
}Channel Modes
Channels can be set to three different modes: ignore, listen or receive.
ignore: messages sent from browser to browser, not passing through FileMaker Server;
listen: messages are sent from browser to browser but FileMaker Server receives the message as well;
receive: messages are sent from browser to FileMaker Server, and messages can be sent later via /message/sendmessage endpoint.
ignore
anonymous, authenticated
messages sent from browser to browser, not passing through FileMaker Server.
listen
authenticated only
messages are sent from browser to browser but FileMaker Server receives the message as well.
receive
authenticated only
messages are sent from browser to FileMaker Server and not broadcasted directly to the channel. Messages can be sent later via the FM messages script API:/message/sendmessage endpoint.
Adding users using a FileMaker Script
The API - Join Channel script accepts an object with two keys users and channels.
users: it accepts a string with a user ID or an array of user IDschannels: it accepts an object with name and mode or an array of objects, with the same shape.
Example Script Parameters
API: Add User to Channel
POST https://yourdomain.com/message/adduser
You can use this method to join users to one or more channels. This is an authenticated request using the API key for the BetterForms network.
Headers
content-type
string
application/json
accept
string
application/json
Request Body
apiKey
string
BetterForms network API key
users
array
array of user/channel objects
users[0].id
string
Klai user id from helper file
users[0].channels
array
an array of channel objects
Example request body
Notes
The REST endpoint expects
usersto be an array of objects.Each object contains the user
idplus thechannelsto add for that user.This is different from the helper-file script shape described earlier on this page, which accepts top-level
usersandchannelskeys separately.
Joining Anonymous Channels
Users can only be joined to anonymous channels directly from the browser. The current browser tab that executes the action will be the one added to the channel.
A user can be joined to an anonymous channel via a Klai action called channelJoinAnon.
Example:
Learn more:
channelJoinAnonLast updated
Was this helpful?